## org.apache.commons.collections.map
Class UnmodifiableSortedMap

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.map.AbstractSortedMapDecorator
              org.apache.commons.collections.map.UnmodifiableSortedMap

All Implemented Interfaces:
  Map, Serializable, SortedMap, Unmodifiable

public final class UnmodifiableSortedMap
extends AbstractSortedMapDecorator
implements Unmodifiable, Serializable

Decorates another `SortedMap` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.7 $ $Date: 2004/04/09 10:46:32 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Method Summary
`void` `clear()`
`Comparator` `comparator()`
`static SortedMap` `decorate(SortedMap map)` Factory method to create an unmodifiable sorted map.
`Set` `entrySet()`
`Object` `firstKey()`
`SortedMap` `headMap(Object toKey)`
`Set` `keySet()`
`Object` `lastKey()`
`Object` `put(Object key, Object value)`
`void` `putAll(Map mapToCopy)`
`Object` `remove(Object key)`
`SortedMap` `subMap(Object fromKey, Object toKey)`
`SortedMap` `tailMap(Object fromKey)`
`Collection` `values()`

Methods inherited from class org.apache.commons.collections.map.AbstractSortedMapDecorator
`getSortedMap`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Method Detail

### decorate

    public static SortedMap decorate(SortedMap map)

  Factory method to create an unmodifiable sorted map.

  Parameters:
    `map` - the map to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if map is null

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMapDecorator`

### putAll

    public void putAll(Map mapToCopy)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `AbstractMapDecorator`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `AbstractMapDecorator`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Overrides:
    `entrySet` in class `AbstractMapDecorator`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`
  Overrides:
    `keySet` in class `AbstractMapDecorator`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`
  Overrides:
    `values` in class `AbstractMapDecorator`

### firstKey

    public Object firstKey()

  Specified by:
    `firstKey` in interface `SortedMap`
  Overrides:
    `firstKey` in class `AbstractSortedMapDecorator`

### lastKey

    public Object lastKey()

  Specified by:
    `lastKey` in interface `SortedMap`
  Overrides:
    `lastKey` in class `AbstractSortedMapDecorator`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedMap`
  Overrides:
    `comparator` in class `AbstractSortedMapDecorator`

### subMap

    public SortedMap subMap(Object fromKey,
                            Object toKey)

  Specified by:
    `subMap` in interface `SortedMap`
  Overrides:
    `subMap` in class `AbstractSortedMapDecorator`

### headMap

    public SortedMap headMap(Object toKey)

  Specified by:
    `headMap` in interface `SortedMap`
  Overrides:
    `headMap` in class `AbstractSortedMapDecorator`

### tailMap

    public SortedMap tailMap(Object fromKey)

  Specified by:
    `tailMap` in interface `SortedMap`
  Overrides:
    `tailMap` in class `AbstractSortedMapDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.